## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/webhook-subscriptions
/{id}/
/webhooks

### cURL

```bash
GET https://api-sandbox.dwolla.com/webhook-subscriptions/10d4133e-b308-4646-b276-40d9d36def1c/webhooks
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
```

```javascript
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var webhookSubscriptionUrl =
  "https://api-sandbox.dwolla.com/webhook-subscriptions/5af4c10a-f6de-4ac8-840d-42cb65454216";

dwolla.get(`${webhookSubscriptionUrl}/webhooks`).then((res) => res.body.total); // => 5
```

```python
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
webhook_subscription_url = 'https://api-sandbox.dwolla.com/webhook-subscriptions/5af4c10a-f6de-4ac8-840d-42cb65454216'

hooks = app_token.get('%s/webhooks' % webhook_subscription_url)
hooks.body['total'] # => 5
```

```php
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$webhookApi = new DwollaSwagger\WebhooksApi($apiClient);

$hooks = $webhookApi->hooksById('https://api-sandbox.dwolla.com/webhook-subscriptions/5af4c10a-f6de-4ac8-840d-42cb65454216');
$hooks->total; # => 5
?>
```

```ruby
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
webhook_subscription_url = 'https://api-sandbox.dwolla.com/webhook-subscriptions/5af4c10a-f6de-4ac8-840d-42cb65454216'

hooks = app_token.get "#{webhook_subscription_url}/webhooks"
hooks.total # => 5
```

### Response Codes

- **200**
- **403**
- **404**

### JSON Response

```json
{
  "_links": {
    "self": {
      "href": "https://api.dwolla.com/webhook-subscriptions/a0943041-7a5c-4e8f-92de-b55711ef3a83/webhooks"
    },
    "first": {
      "href": "https://api.dwolla.com/webhook-subscriptions/a0943041-7a5c-4e8f-92de-b55711ef3a83/webhooks?limit=25&offset=0"
    },
    "last": {
      "href": "https://api.dwolla.com/webhook-subscriptions/a0943041-7a5c-4e8f-92de-b55711ef3a83/webhooks?limit=25&offset=150"
    },
    "next": {
      "href": "https://api.dwolla.com/webhook-subscriptions/a0943041-7a5c-4e8f-92de-b55711ef3a83/webhooks?limit=25&offset=25"
    }
  },
  "_embedded": {
    "webhooks": [
      {
        "_links": {
          "self": {
            "href": "https://api.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8"
          },
          "subscription": {
            "href": "https://api.dwolla.com/webhook-subscriptions/a0943041-7a5c-4e8f-92de-b55711ef3a83"
          },
          "retry": {
            "href": "https://api.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8/retries"
          },
          "event": {
            "href": "https://api.dwolla.com/events/03c7e14c-7f15-44a2-bcf7-83f2f7e95d50"
          }
        },
        "id": "9ece9660-aa34-41eb-80d7-0125d53b45e8",
        "topic": "transfer_created",
        "accountId": "ca32853c-48fa-40be-ae75-77b37504581b",
        "eventId": "03c7e14c-7f15-44a2-bcf7-83f2f7e95d50",
        "subscriptionId": "a0943041-7a5c-4e8f-92de-b55711ef3a83",
        "attempts": [
          {
            "id": "d4d16621-c6b0-40cb-8dc3-0469fa9dc4e8",
            "request": {
              "timestamp": "2022-10-27T17:07:34.304Z",
              "url": "https://myapp.runscope.net",
              "headers": [
                {
                  "name": "X-Dwolla-Topic",
                  "value": "transfer_created"
                }
              ],
              "body": "id:03c7e14c-7f15-44a2-bcf7-83f2f7e95d50resourceId:81BA6F36-CD7C-E511-80DB-0AA34A9B2388topic:transfer_createdtimestamp:2022-10-27T17:07:34.207Z_links:self:href:https://api.dwolla.com/events/03c7e14c-7f15-44a2-bcf7-83f2f7e95d50account:href:https://api.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581bresource:href:https://api.dwolla.com/transfers/81BA6F36-CD7C-E511-80DB-0AA34A9B2388"
            },
            "response": {
              "timestamp": "2022-10-27T17:07:34.308Z",
              "headers": [
                {
                  "name": "Date",
                  "value": "Tue 27 Oct 2022 17:07:34 GMT"
                }
              ],
              "statusCode": 200,
              "body": "body:id:03c7e14c-7f15-44a2-bcf7-83f2f7e95d50resourceId:81BA6F36-CD7C-E511-80DB-0AA34A9B2388topic:transfer_createdtimestamp:2022-10-27T17:07:34.207Z_links:self:href:https://api.dwolla.com/events/03c7e14c-7f15-44a2-bcf7-83f2f7e95d50account:href:https://api.dwolla.com/accounts/ca32853c-48fa-40be-ae75-77b37504581bresource:href:https://api.dwolla.com/transfers/81BA6F36-CD7C-E511-80DB-0AA34A9B2388files:[]form:fragment:headers:Connection:[close]Content-Length:[453]Content-Type:[application/json; charset=UTF-8]Host:[myapp.runscope.net]User-Agent:[dwolla-webhooks/1.0]X-Dwolla-Topic:[transfer_created]X-Request-Signature:[bd93780bd7e1ad77ab821094aaa0f9e3dece5ee3]host:myapp.runscope.netmethod:POSTparams:path:/region:us5runscope_host:prod078.runscope.inscheme:httpssource:capturesource_ip:52.24.10.184timestamp:1.4459656543078682e+09url:https://myapp.runscope.net/"
            }
          }
        ]
      }
    ]
  },
  "total": 1
}
```

```json
{
  "code": "Forbidden",
  "message": "The supplied credentials are not authorized for this resource."
}
```

```json
{
  "code": "NotFound",
  "message": "The requested resource was not found."
}
```  
#### Authorizations

- **Authorization**: string (header, required) - The access token received from the authorization server in the OAuth 2.0 flow.

#### Headers

- **Accept**: enum<string> (default: application/vnd.dwolla.v1.hal+json, required) - The media type of the response. Must be application/vnd.dwolla.v1.hal+json.

#### Path Parameters

- **id**: string (required) - Webhook subscription unique identifier.

#### Query Parameters

- **limit**: string - How many results to return.
- **offset**: string - How many results to skip.
- **startDate**: string - Only include webhooks created after this date. ISO-8601 format `YYYY-MM-DD`.
- **endDate**: string - Only include webhooks created before this date. ISO-8601 format `YYYY-MM-DD`.
